Bug 841020 - ltrace doesn't handle IFUNC symbols
ltrace doesn't handle IFUNC symbols
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ltrace (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Petr Machata
qe-baseos-tools
: Rebase, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 17:50 EDT by Petr Machata
Modified: 2014-06-18 03:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:40:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Machata 2012-07-17 17:50:02 EDT
We implemented this in rhel 6 as part of dlopen support.  That was cleaned up and normalized upstream (so that the same selection mechanism can be used to trace symbols in main binary, dlopened object, or ordinary dso), but as a result we lost support for IFUNC symbols.
Comment 7 Michael Petlan 2013-11-21 08:10:06 EST
VERIFIED.
The version 0.7.91-1 works fine.
Comment 9 Ludek Smid 2014-06-13 06:40:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.